Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 636974 (CVE-2017-16667) - <app-backup/backintime-1.1.24: Remote code execution vulnerability (CVE-2017-16667)
Summary: <app-backup/backintime-1.1.24: Remote code execution vulnerability (CVE-2017-...
Status: RESOLVED FIXED
Alias: CVE-2017-16667
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://github.com/bit-team/backintim...
Whiteboard: B2 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-09 16:19 UTC by GLSAMaker/CVETool Bot
Modified: 2018-01-07 23:42 UTC (History)
1 user (show)

See Also:
Package list:
app-backup/backintime-1.1.24
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2017-11-09 16:19:14 UTC
CVE-2017-16667 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-16667):
  backintime (aka Back in Time) before 1.1.24 did improper escaping/quoting of
  file paths used as arguments to the 'notify-send' command, leading to some
  parts of file paths being executed as shell commands within an os.system
  call in qt4/plugins/notifyplugin.py. This could allow an attacker to craft
  an unreadable file with a specific name to run arbitrary shell commands.
Comment 1 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-11-09 16:20:06 UTC
@Maintainer please call for stabilization when ready. 

Thank you
Comment 2 Michael Weber (RETIRED) gentoo-dev 2017-12-18 16:46:22 UTC
@arches: Please stabilize immediately.
Comment 3 Jason Zaman gentoo-dev 2017-12-19 08:32:48 UTC
amd64 stable
Comment 4 Thomas Deutschmann gentoo-dev Security 2017-12-19 15:56:48 UTC
x86 stable

@ Maintainer(s): Please cleanup and drop <app-backup/backintime-1.1.24!
Comment 5 Larry the Git Cow gentoo-dev 2017-12-22 08:51:54 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e12f546404f2b91fc7052146f705bdbf5eb44e2

commit 9e12f546404f2b91fc7052146f705bdbf5eb44e2
Author:     Michael Weber <xmw@gentoo.org>
AuthorDate: 2017-12-22 08:51:37 +0000
Commit:     Michael Weber <xmw@gentoo.org>
CommitDate: 2017-12-22 08:51:49 +0000

    app-backup/backintime: Remove security affected version.
    
    - Remote code execution vulnerability (CVE-2017-16667)
    Bug: https://bugs.gentoo.org/636042
    
    - Race condition (CVE-2017-7572)
    Bug: https://bugs.gentoo.org/636974
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-backup/backintime/Manifest                 |  1 -
 app-backup/backintime/backintime-1.1.12.ebuild | 77 --------------------------
 2 files changed, 78 deletions(-)}
Comment 6 D'juan McDonald (domhnall) 2018-01-05 19:36:48 UTC
New GLSA request filed.


Gentoo Security Padawan
(Jmbailey/mbailey_j)
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2018-01-07 23:42:33 UTC
This issue was resolved and addressed in
 GLSA 201801-06 at https://security.gentoo.org/glsa/201801-06
by GLSA coordinator Aaron Bauman (b-man).